Single Product Message

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

Meta Payloads Example

{
   "messaging_product": "whatsapp",
   "recipient_type": "individual",
   "to": "PHONE_NUMBER",
   "type": "interactive",
   "interactive": {
     "type": "product",
     "body": {
       "text": "optional body text"
     },
     "footer": {
       "text": "optional footer text"
     },
     "action": {
       "catalog_id": "CATALOG_ID",
       "product_retailer_id": "ID_TEST_ITEM_1"
     }
   }
 }
{ 
  "recipient_type": "individual",
  "to" : "{{Recipient-WA-ID}}",
  "type": "interactive",
  "interactive": {
    "type": "product",
    "body": {
      "text": "body text"
    },
    "footer": {
      "text": "footer text"
    },
    "action": {
      "catalog_id": "catalog-ID",
      "product_retailer_id": "product-ID"
    }
  }
}

Response

Status CodeResponseComment

Success 200

{
"status": "submitted",
"messageId": "4bed9a90-9f7a-4584-be5b-8ee1cba61a01"
}

Error 401

{
"message": {
"message": "Authentication Failed"
},
"status": "error"
}

When APIKey authentication fails or apikey is not sent

Request Parameters

KeyDescriptionConstraints
apikeyApikey of the account where the app is to be createdShould be a valid gupshup.io apikey
sourceSource Phone Number
src.nameSource App Name
destinationDestination phone number
messageCatalog message payload
channelChannel to send messages to
  • Must be whatsapp

Message Payload

KeyDescriptionConstraints
typeMessage typeShould be product_detailsfor product messages
sub_typeMessage Sub TypeShould be product_detailsfor product messages
bodyMessage Body content
footerMessage Footer contentOptional
catalogIdId of catalog to use the product fromShould be a valid catalog id from the catalog connected to Waba
productIdId of product to be usedShould be a valid product id from the catalog connected to Waba
Form Data
string
string
string
string
Headers
string
required

API key for authentication

Response

Language
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json